cache/lscr.io/linuxserver/jellyfin (latest)
Published 2026-03-25 17:35:39 +01:00 by balki
Installation
docker pull forgejo.balki.cloud/balki/cache/lscr.io/linuxserver/jellyfin:latestsha256:49cd2418d6db6f931f20764a4f1dd3f932f7b7ee26be197bbb9229710eff59eeAbout this package
[Jellyfin](https://github.com/jellyfin/jellyfin) is a Free Software Media System that puts you in control of managing and streaming your media. It is an alternative to the proprietary Emby and Plex, to provide media from a dedicated server to end-user devices via multiple apps. Jellyfin is descended from Emby's 3.5.2 release and ported to the .NET Core framework to enable full cross-platform support. There are no strings attached, no premium licenses or features, and no hidden agendas: just a team who want to build something better and work together to achieve it.
Image layers
| COPY /root-out/ / # buildkit |
| ARG BUILD_DATE=2026-03-17T23:51:00+00:00 |
| ARG VERSION=b7dd4945-ls64 |
| ARG MODS_VERSION=v3 |
| ARG PKG_INST_VERSION=v1 |
| ARG LSIOWN_VERSION=v1 |
| ARG WITHCONTENV_VERSION=v1 |
| LABEL build_version=Linuxserver.io version:- b7dd4945-ls64 Build-date:- 2026-03-17T23:51:00+00:00 |
| LABEL maintainer=TheLamer |
| ADD --chmod=755 https://raw.githubusercontent.com/linuxserver/docker-mods/mod-scripts/docker-mods.v3 /docker-mods # buildkit |
| ADD --chmod=755 https://raw.githubusercontent.com/linuxserver/docker-mods/mod-scripts/package-install.v1 /etc/s6-overlay/s6-rc.d/init-mods-package-install/run # buildkit |
| ADD --chmod=755 https://raw.githubusercontent.com/linuxserver/docker-mods/mod-scripts/lsiown.v1 /usr/bin/lsiown # buildkit |
| ADD --chmod=755 https://raw.githubusercontent.com/linuxserver/docker-mods/mod-scripts/with-contenv.v1 /usr/bin/with-contenv # buildkit |
| ARG DEBIAN_FRONTEND=noninteractive |
| ENV HOME=/root LANGUAGE=en_US.UTF-8 LANG=en_US.UTF-8 TERM=xterm S6_CMD_WAIT_FOR_SERVICES_MAXTIME=0 S6_VERBOSITY=1 S6_STAGE2_HOOK=/docker-mods VIRTUAL_ENV=/lsiopy PATH=/lsiopy/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin |
| COPY sources.list /etc/apt/ # buildkit |
| RUN |7 BUILD_DATE=2026-03-17T23:51:00+00:00 VERSION=b7dd4945-ls64 MODS_VERSION=v3 PKG_INST_VERSION=v1 LSIOWN_VERSION=v1 WITHCONTENV_VERSION=v1 DEBIAN_FRONTEND=noninteractive /bin/sh -c echo "**** Ripped from Ubuntu Docker Logic ****" && rm -f /etc/apt/sources.list.d/ubuntu.sources && set -xe && echo '#!/bin/sh' > /usr/sbin/policy-rc.d && echo 'exit 101' >> /usr/sbin/policy-rc.d && chmod +x /usr/sbin/policy-rc.d && dpkg-divert --local --rename --add /sbin/initctl && cp -a /usr/sbin/policy-rc.d /sbin/initctl && sed -i 's/^exit.*/exit 0/' /sbin/initctl && echo 'force-unsafe-io' > /etc/dpkg/dpkg.cfg.d/docker-apt-speedup && echo 'DPkg::Post-Invoke { "rm -f /var/cache/apt/archives/*.deb /var/cache/apt/archives/partial/*.deb /var/cache/apt/*.bin || true"; };' > /etc/apt/apt.conf.d/docker-clean && echo 'APT::Update::Post-Invoke { "rm -f /var/cache/apt/archives/*.deb /var/cache/apt/archives/partial/*.deb /var/cache/apt/*.bin || true"; };' >> /etc/apt/apt.conf.d/docker-clean && echo 'Dir::Cache::pkgcache ""; Dir::Cache::srcpkgcache "";' >> /etc/apt/apt.conf.d/docker-clean && echo 'Acquire::Languages "none";' > /etc/apt/apt.conf.d/docker-no-languages && echo 'Acquire::GzipIndexes "true"; Acquire::CompressionTypes::Order:: "gz";' > /etc/apt/apt.conf.d/docker-gzip-indexes && echo 'Apt::AutoRemove::SuggestsImportant "false";' > /etc/apt/apt.conf.d/docker-autoremove-suggests && mkdir -p /run/systemd && echo 'docker' > /run/systemd/container && echo "**** install apt-utils and locales ****" && apt-get update && apt-get upgrade -y && apt-get install -y apt-utils locales && echo "**** install packages ****" && apt-get install -y catatonit cron curl gnupg jq netcat-openbsd systemd-standalone-sysusers tzdata && echo "**** generate locale ****" && locale-gen en_US.UTF-8 && echo "**** create abc user and make our folders ****" && useradd -u 911 -U -d /config -s /bin/false abc && usermod -G users abc && mkdir -p /app /config /defaults /lsiopy && echo "**** cleanup ****" && userdel ubuntu && apt-get autoremove && apt-get clean && rm -rf /tmp/* /var/lib/apt/lists/* /var/tmp/* /var/log/* # buildkit |
| COPY root/ / # buildkit |
| ENTRYPOINT ["/init"] |
| ENV LSIO_FIRST_PARTY=true |
| ARG BUILD_DATE=2026-03-24T13:54:05+00:00 |
| ARG VERSION=10.11.6ubu2404-ls25 |
| ARG JELLYFIN_RELEASE=10.11.6+ubu2404 |
| LABEL build_version=Linuxserver.io version:- 10.11.6ubu2404-ls25 Build-date:- 2026-03-24T13:54:05+00:00 |
| LABEL maintainer=thelamer |
| ARG DEBIAN_FRONTEND=noninteractive |
| ENV NVIDIA_DRIVER_CAPABILITIES=compute,video,utility |
| ENV MALLOC_TRIM_THRESHOLD_=131072 |
| ENV ATTACHED_DEVICES_PERMS=/dev/dri /dev/dvb /dev/vchiq /dev/vc-mem /dev/video1? -type c |
| RUN |4 BUILD_DATE=2026-03-24T13:54:05+00:00 VERSION=10.11.6ubu2404-ls25 JELLYFIN_RELEASE=10.11.6+ubu2404 DEBIAN_FRONTEND=noninteractive /bin/sh -c echo "**** install jellyfin *****" && curl -s https://repo.jellyfin.org/ubuntu/jellyfin_team.gpg.key | gpg --dearmor | tee /usr/share/keyrings/jellyfin.gpg >/dev/null && echo 'deb [arch=amd64 signed-by=/usr/share/keyrings/jellyfin.gpg] https://repo.jellyfin.org/ubuntu noble main' > /etc/apt/sources.list.d/jellyfin.list && if [ -z ${JELLYFIN_RELEASE+x} ]; then JELLYFIN_RELEASE=$(curl -sX GET https://repo.jellyfin.org/ubuntu/dists/noble/main/binary-amd64/Packages |grep -A 7 -m 1 'Package: jellyfin-server' | awk -F ': ' '/Version/{print $2;exit}'); fi && apt-get update && apt-get install -y --no-install-recommends at libjemalloc2 mesa-va-drivers xmlstarlet && apt-get install -y --no-install-recommends jellyfin=${JELLYFIN_RELEASE} && echo "**** cleanup ****" && rm -rf /tmp/* /var/lib/apt/lists/* /var/tmp/* # buildkit |
| COPY root/ / # buildkit |
| EXPOSE [8096/tcp 8920/tcp] |
| VOLUME [/config] |
Labels
| Key | Value |
|---|---|
| build_version | Linuxserver.io version:- 10.11.6ubu2404-ls25 Build-date:- 2026-03-24T13:54:05+00:00 |
| maintainer | thelamer |
| org.opencontainers.image.authors | linuxserver.io |
| org.opencontainers.image.created | 2026-03-24T13:54:05+00:00 |
| org.opencontainers.image.description | [Jellyfin](https://github.com/jellyfin/jellyfin) is a Free Software Media System that puts you in control of managing and streaming your media. It is an alternative to the proprietary Emby and Plex, to provide media from a dedicated server to end-user devices via multiple apps. Jellyfin is descended from Emby's 3.5.2 release and ported to the .NET Core framework to enable full cross-platform support. There are no strings attached, no premium licenses or features, and no hidden agendas: just a team who want to build something better and work together to achieve it. |
| org.opencontainers.image.documentation | https://docs.linuxserver.io/images/docker-jellyfin |
| org.opencontainers.image.licenses | GPL-3.0-only |
| org.opencontainers.image.ref.name | 6a0e62ac2da14d431afbefed209e4bb4c90fd131 |
| org.opencontainers.image.revision | 6a0e62ac2da14d431afbefed209e4bb4c90fd131 |
| org.opencontainers.image.source | https://github.com/linuxserver/docker-jellyfin |
| org.opencontainers.image.title | Jellyfin |
| org.opencontainers.image.url | https://github.com/linuxserver/docker-jellyfin/packages |
| org.opencontainers.image.vendor | linuxserver.io |
| org.opencontainers.image.version | 10.11.6ubu2404-ls25 |